from quart import Blueprint, jsonify, request
from applications.service import GetCoverService

server_blueprint = Blueprint("api", __name__, url_prefix="/api")


def server_routes(pools):

    @server_blueprint.route("/get_cover", methods=["POST"])
    async def get_cover():
        params = await request.get_json()
        task = GetCoverService(pools, params)
        return jsonify(await task.deal())

    return server_blueprint
